jun50

Windows1000000 wrote:

mii-10 wrote:

要望があったので
goto http:\/\/[] ::control
のソースコードを書かせていただきます。ただし簡略化できる可能性はあります。
specs.asの中に
		["goto http:// %s",						" ", 6, "gotoUrl"],
		["goto http:// %s",						" ", 106, "gotoUrl"],
を追加(カテゴリーわけに従う方が見やすい。)
Interpreter.asに
	import flash.net.navigateToURL;
	import flash.net.URLRequest;
を追加(ただし自分はimport flash.net.*;で一括ロード。参考までに)
その後
		primTable["gotoUrl"]			= primGotourl;
	private function primGotourl(b:Block):void{
		var url:String = "http://" + arg(b, 0) ;
		var urlrequest:URLRequest = new URLRequest(url);
		navigateToURL (urlrequest);
	}
も追加することで実装できます。
日本語翻訳は
正しいとは限らない自己翻訳
msgid "goto http:// %s"
msgstr "http(s):// %s を開く"
で(正しいとは限らない自己翻訳)を入れた.poファイルでできます。
(万が一コードに不備がありましたら連絡を。)
(ほかに自分のmod内容で知りたいコードがあれば連絡を。)
すみません。Interpreter.asとspecs.asはどこのフォルダーにあるのですか?
確かsrcだったと思います。

Windows1000000

jun50 wrote:

Windows1000000 wrote:

mii-10 wrote:

要望があったので
goto http:\/\/[] ::control
のソースコードを書かせていただきます。ただし簡略化できる可能性はあります。
specs.asの中に
		["goto http:// %s",						" ", 6, "gotoUrl"],
		["goto http:// %s",						" ", 106, "gotoUrl"],
を追加(カテゴリーわけに従う方が見やすい。)
Interpreter.asに
	import flash.net.navigateToURL;
	import flash.net.URLRequest;
を追加(ただし自分はimport flash.net.*;で一括ロード。参考までに)
その後
		primTable["gotoUrl"]			= primGotourl;
	private function primGotourl(b:Block):void{
		var url:String = "http://" + arg(b, 0) ;
		var urlrequest:URLRequest = new URLRequest(url);
		navigateToURL (urlrequest);
	}
も追加することで実装できます。
日本語翻訳は
正しいとは限らない自己翻訳
msgid "goto http:// %s"
msgstr "http(s):// %s を開く"
で(正しいとは限らない自己翻訳)を入れた.poファイルでできます。
(万が一コードに不備がありましたら連絡を。)
(ほかに自分のmod内容で知りたいコードがあれば連絡を。)
すみません。Interpreter.asとspecs.asはどこのフォルダーにあるのですか?
確かsrcだったと思います。
それが見当たらないんです。

mii-10

Windows1000000 wrote:

jun50 wrote:

Windows1000000 wrote:

mii-10 wrote:

省略
すみません。Interpreter.asとspecs.asはどこのフォルダーにあるのですか?
確かsrcだったと思います。
それが見当たらないんです。
既存のブロックの
when this sprite clicked
などで検索してみては?

Windows1000000

mii-10 wrote:

Windows1000000 wrote:

jun50 wrote:

Windows1000000 wrote:

mii-10 wrote:

省略
すみません。Interpreter.asとspecs.asはどこのフォルダーにあるのですか?
確かsrcだったと思います。
それが見当たらないんです。
既存のブロックの
when this sprite clicked
などで検索してみては?
見当たりません。

apple502j

scratch-flashをgitで落としたなら、そのフォルダの真下にsrcがあり、
そこにSpecs.as
そのフォルダのinterpreterフォルダ内に
Interpreter.asがあります

Windows1000000

apple502j wrote:

scratch-flashをgitで落としたなら、そのフォルダの真下にsrcがあり、
そこにSpecs.as
そのフォルダのinterpreterフォルダ内に
Interpreter.asがあります
どのようなGitコマンドを実行すれば良いですか?

apple502j

Windows1000000 wrote:

apple502j wrote:

scratch-flashをgitで落としたなら、そのフォルダの真下にsrcがあり、
そこにSpecs.as
そのフォルダのinterpreterフォルダ内に
Interpreter.asがあります
どのようなGitコマンドを実行すれば良いですか?
scratch-flashはもうありますか?
そのフォルダ内にはCOPYINGとかsrcとかTRADEMARKとかREADME.mdとかがあるはずです

inoking

Windows1000000 wrote:

apple502j wrote:

scratch-flashをgitで落としたなら、そのフォルダの真下にsrcがあり、
そこにSpecs.as
そのフォルダのinterpreterフォルダ内に
Interpreter.asがあります
どのようなGitコマンドを実行すれば良いですか?
#1 の内容でできませんか?

Windows1000000

教えてくださった方、ありがとうございます。

Windows1000000

scratchをGradleでコンパイルしようとしたんですが、以下のエラーが出ました。
FAILURE: Build failed with an exception.

* What went wrong:
Could not determine java version from '10.0.1'.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
この対処方法はありますか?

mii-10

Windows1000000 wrote:

scratchをGradleでコンパイルしようとしたんですが、以下のエラーが出ました。
FAILURE: Build failed with an exception.

* What went wrong:
Could not determine java version from '10.0.1'.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
この対処方法はありますか?
javaのバージョン10.0.1が、コンパイラで認識できないことがが原因ですのでjavaのバージョンを下げてみてください。
自分は1.8.0_171です。

inoking

Windows1000000 wrote:

scratchをGradleでコンパイルしようとしたんですが、以下のエラーが出ました。
FAILURE: Build failed with an exception.

* What went wrong:
Could not determine java version from '10.0.1'.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
この対処方法はありますか?
#186 で同様の質問と、それを解消するためのアプローチが出ていますが試しましたか?

Windows1000000

inoking wrote:

Windows1000000 wrote:

scratchをGradleでコンパイルしようとしたんですが、以下のエラーが出ました。
FAILURE: Build failed with an exception.

* What went wrong:
Could not determine java version from '10.0.1'.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
この対処方法はありますか?
#186 で同様の質問と、それを解消するためのアプローチが出ていますが試しましたか?
やろうとしましたがGit Bashが使えません (Macのため)

Windows1000000

削除

Windows1000000

Java SE 8を入れることでなんとかコンパイラ認識できるところまできたんですが今度はこんなエラーが出ました
FAILURE: Build failed with an exception.

* What went wrong:
Task 'bulid' not found in root project 'scratch-flash'. Some candidates are: 'build'.

* Try:
Run gradlew tasks to get a list of available tasks. Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED
この対処方法はあるでしょうか

apple502j

Windows1000000 wrote:

Java SE 8を入れることでなんとかコンパイラ認識できるところまできたんですが今度はこんなエラーが出ました
FAILURE: Build failed with an exception.

* What went wrong:
Task 'bulid' not found in root project 'scratch-flash'. Some candidates are: 'build'.

* Try:
Run gradlew tasks to get a list of available tasks. Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED
この対処方法はあるでしょうか
スペルミスです。
buildです。(ビー・ユー・アイ・エル・ディー、小文字にしてね。)

Windows1000000

apple502j wrote:

Windows1000000 wrote:

Java SE 8を入れることでなんとかコンパイラ認識できるところまできたんですが今度はこんなエラーが出ました
FAILURE: Build failed with an exception.

* What went wrong:
Task 'bulid' not found in root project 'scratch-flash'. Some candidates are: 'build'.

* Try:
Run gradlew tasks to get a list of available tasks. Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.

BUILD FAILED
この対処方法はあるでしょうか
スペルミスです。
buildです。(ビー・ユー・アイ・エル・ディー、小文字にしてね。)
ありがとうございます。

Windows1000000

削除

itnkmkw

mod始めようと思いまして、試してみたんですが、最初のビルド中に、「./gradlew build」を入れたら
 Could not determine java version from '10.0.1'
って出ました。どうすればいいですか?Windows10で、javaは最新版です。

jun50

itnkmkw wrote:

mod始めようと思いまして、試してみたんですが、最初のビルド中に、「./gradlew build」を入れたら
 Could not determine java version from '10.0.1'
って出ました。どうすればいいですか?Windows10で、javaは最新版です。
javaは最新版じゃない方がいいです。
機械翻訳でもいいので翻訳してみてください。
大体の意味はわかります。

この場合、Java10.0.1を認識できないようです。